<template>
    <el-row>
        <el-form ref="form" :model="form" label-width="11.25rem">
            <el-row>
                <el-col :span="8" v-if="form.applyCode">
                    <el-form-item label="申请单号:">
                        <el-row v-if="isDetail">{{form.applyCode}}</el-row>
                    </el-form-item>
                </el-col>
                <el-col :span="8" v-if="form.typeName">
                    <el-form-item label="业务类型:">
                        <el-row v-if="isDetail">{{form.typeName}}</el-row>
                    </el-form-item>
                </el-col>
                <el-col :span="8" v-if="form.factorTypeName">
                    <el-form-item label="保理类型:">
                        <el-row v-if="isDetail">{{form.factorTypeName}}</el-row>
                    </el-form-item>
                </el-col>
                <el-col :span="8">
                    <el-form-item label="融资金额(元):">
                        <el-row v-if="isDetail">{{form.financingAmount}}</el-row>
                        <el-input v-else v-model="form.financingAmount" placeholder="请输入融资金额"></el-input>
                    </el-form-item>
                </el-col>
                <el-col :span="8">
                    <el-form-item label="到期日期:">
                        <el-row v-if="isDetail">{{form.endDate.split(' ')[0]}}</el-row>
                        <el-date-picker
                            v-else
                            v-model="form.endDate"
                            value-format="yyyyMMdd"
                            type="date"
                            placeholder="选择日期"
                        ></el-date-picker>
                    </el-form-item>
                </el-col>
                <el-col :span="8" v-if="form.financingInterestRate">
                    <el-form-item label="融资利率(年化):">
                        <el-row v-if="isDetail">{{form.financingInterestRate + '%'}}</el-row>
                    </el-form-item>
                </el-col>
                <el-col :span="8" v-if="form.payInterestTypeName">
                    <el-form-item label="付息方式:">
                        <el-row v-if="isDetail">{{form.payInterestTypeName}}</el-row>
                    </el-form-item>
                </el-col>
                <el-col :span="8" v-if="form.paybackTypeName">
                    <el-form-item label="回款方式:">
                        <el-row v-if="isDetail">{{form.paybackTypeName}}</el-row>
                    </el-form-item>
                </el-col>
                <!-- <el-col :span="8" v-if="form.paybackTypeName">
                    <el-form-item label="服务费率:">
                        <el-row v-if="isDetail">{{form.serviceRate + '%'}}</el-row>
                    </el-form-item>
                </el-col>
                <el-col :span="8" :offset="1" v-if="form.overDueRate">
                    <el-form-item label="逾期利率(年化):">
                        <el-row v-if="isDetail">{{form.overDueRate + '%'}}</el-row>
                    </el-form-item>
                </el-col>-->
            </el-row>
            <el-row>
                <el-col :span="8">
                    <el-form-item label="买方(购货商):">
                        <el-row v-if="isDetail">{{form.buyerName}}</el-row>
                        <el-input v-else v-model="form.buyerName" placeholder="请输入买方名称"></el-input>
                    </el-form-item>
                </el-col>
                <el-col :span="12">
                    <div class="info_download">
                        <!-- TODO -->
                        <a @click="go('bussinessBase',{ companyId: form.buyer })">买方资料查看</a>
                        <!-- TODO -->
                        <a @click="downLoadCompanyFiles(form.buyer)">买方资料批量下载</a>
                    </div>
                </el-col>
            </el-row>
            <el-row>
                <el-col :span="8">
                    <el-form-item label="卖方(申请方):">{{form.sellerName}}</el-form-item>
                </el-col>
                <el-col :span="12">
                    <div class="info_download">
                        <!-- TODO -->
                        <a @click="go('bussinessBase',{ companyId: form.seller })">卖方资料查看</a>
                        <!-- TODO -->
                        <a @click="downLoadCompanyFiles(form.seller)">卖方资料批量下载</a>
                    </div>
                </el-col>
            </el-row>
            <!-- <el-row>
                <el-col :span="8" >
                    <el-form-item label="*卖方收款账户:">
                        <el-row v-if="isDetail">{{form.receiptAccount}}</el-row>
                        <el-input v-else v-model="form.receiptAccount" placeholder="请输入卖方收款账户"></el-input>
                    </el-form-item>
                </el-col>
                <el-col :span="8" >
                    <el-form-item label="*卖方账号名称:">
                        <el-row v-if="isDetail">{{form.accountName}}</el-row>
                        <el-input v-else v-model="form.accountName" placeholder="请输入卖方账号名称"></el-input>
                    </el-form-item>
                </el-col>
            </el-row>-->

            <el-row>
                <!-- <el-col :span="8" :offset="0">
                    <el-form-item label="*卖方开户支行:">
                        <el-row v-if="isDetail">{{form.accountBranch}}</el-row>
                        <el-input v-else v-model="form.accountBranch" placeholder="请输入卖方开户支行"></el-input>
                    </el-form-item>
                </el-col>-->

                <el-col :span="10">
                    <el-form-item label="*基础交易合同:">
                        <div v-if="isDetail">
                            <ootecoDownload
                                v-for="(item,index) in form.attachmentList"
                                :key="index"
                                :conf="item"
                            ></ootecoDownload>
                        </div>
                        <div v-else>
                            <ootecoUpload :conf="upload"></ootecoUpload>
                        </div>
                    </el-form-item>
                </el-col>
            </el-row>
            <el-row>
                <el-col :span="24" v-if="form.createTime">
                    <el-form-item label="申请时间:">
                        <el-row v-if="isDetail">{{form.createTime}}</el-row>
                    </el-form-item>
                </el-col>
                <!-- <el-col :span="8" :offset="1" v-if="form.applicant">
                    <el-form-item label="提交人:">
                        <el-row v-if="isDetail">{{form.applicant}}</el-row>
                    </el-form-item>
                </el-col>-->
            </el-row>
            <el-row>
                <el-col :span="24">
                    <el-form-item label="卖方收款账户:">
                        <el-row v-if="isDetail">{{form.receiptAccount}}</el-row>
                        <el-input v-else v-model="form.receiptAccount" placeholder="请输入卖方收款账户"></el-input>
                    </el-form-item>
                </el-col>
            </el-row>
            <el-row>
                <el-col :span="24">
                    <el-form-item label="卖方账号名称:">
                        <el-row v-if="isDetail">{{form.accountName}}</el-row>
                        <el-input v-else v-model="form.accountName" placeholder="请输入卖方账号名称"></el-input>
                    </el-form-item>
                </el-col>
            </el-row>
            <el-row>
                <el-col :span="24" :offset="0">
                    <el-form-item label="卖方开户支行:">
                        <el-row v-if="isDetail">{{form.accountBranch}}</el-row>
                        <el-input v-else v-model="form.accountBranch" placeholder="请输入卖方开户支行"></el-input>
                    </el-form-item>
                </el-col>
            </el-row>
            <!-- <el-row>
                <el-col :span="8" v-if="form.financingInterestRate">
                    <el-form-item label="融资比率:">
                        <el-row v-if="isDetail">{{form.financingRate + '%'}}</el-row>
                    </el-form-item>
                </el-col>
                <el-col :span="20" :offset="0">
                    <el-form-item label="申请说明:">
                        <el-row v-if="form.applicant">{{form.comment}}</el-row>
                        <el-input
                            v-else
                            type="textarea"
                            :rows="5"
                            placeholder="请输入内容"
                            :disabled="isDetail ? true : false"
                            v-model="form.comment"
                        ></el-input>
                    </el-form-item>
                </el-col>
            </el-row> -->
        </el-form>
    </el-row>
</template>

<script>
import ootecoUpload from '@com/ooteco_upload'
import ootecoDownload from '@com/ooteco_download_file'
export default {
	mixins: [$mixin],
	components: { ootecoUpload, ootecoDownload },
	data() {
		return {
			form: {
				financingAmount: '',
				endDate: '',
				buyerName: '',
				seller: '',
				receiptAccount: '',
				accountName: '',
				accountBranch: '',
				comment: ''
			},
			upload: {
				text: '上传附件',
				type: 'button',
				class: 2
			},
			buyerList: []
		}
	},
	computed: {
		sellerName() {
			this.form.seller = JSON.parse(
				sessionStorage.getItem('userInfo')
			).companyId
			return JSON.parse(sessionStorage.getItem('userInfo')).companyName
		},
		isDetail() {
			return this.$route.query.businessId
		}
	},
	methods: {
		initListen() {},
		requestData() {
			this.$http
				.get({
					url: 'company/pairs'
				})
				.then(
					({ data }) => {
						let arr = []
						for (const key in data) {
							arr.push({
								key,
								val: data[key]
							})
						}
						this.buyerList = arr
					},
					msg => {
						this.alert(msg)
					}
				)
		},
        downLoadCompanyFiles(companyId){
            this.$http
                .get({
                    url: 'file/company/download',
                    params:{
                        companyId: companyId
                    }
                })
                .then(
                    ({ data }) => {
                        utils.downLoadFile(data.url)
                    },
                    msg => {
                        this.alert(msg)
                    }
                )
        }
	},
	mounted() {
//		this.requestData()
		this.initListen()
	}
}
</script>

<style lang="less" scoped>
.info_download {
	height: 40px;
	line-height: 40px;
	a {
		font-size: 14px;
		text-decoration: none;
		color: #3990e9;
		margin-left: 20px;
	}
}
</style>
